sumLogDiag {SpatioTemporal} | R Documentation

## Sum the Logarithm of (Diagonal) Elements

### Description

Computes the sum of the logarithm of the diagonal elements in a matrix, or of elements in a vector. This corresponds to the logarithm of the determinant for a Cholesky factor. Behaviour is undefined for any elements that are <=0.

### Usage

    sumLogDiag(mat)

    sumLog(v)

### Arguments

`mat` | A square matrix (preferably a Cholesky factor).
`v` | A vector

### Value

Sum of the logarithm of the (diagonal) elements.

### Author(s)

Johan Lindstrom

### See Also

Other basic linear algebra: `blockMult`, `crossDist`, `makeCholBlock`, `norm2`

### Examples

    ## Create a covariance matrix
    S <- cbind(c(2,1),c(1,2))
    ## compute Cholesky factor
    R <- chol(S)
    ## compute determinant
    log(det(R))
    ## compare with sum of the logarithm of diagonal elements
    sumLogDiag(R)
    ##or using sumLog (usefull e.g. for the Matrix-class)
    sumLog(diag(R))

[Package SpatioTemporal version 1.1.9.1 Index]